Retrieve product information by ID
Extract information about a product from the 2Checkout system using its unique ID and the code of the pricing list to which it is assigned.
Requirements
This method requires you to set a specific partner using setPartner.
Request parameters
sessionID
Required (string)
Session identifier, which is the output of the Login method. An exception will be thrown if the values are incorrect.
productId
Required (int)
The unique identifier of the product from the 2Checkout platform.
pricingListCode
Required (string)
The unique identifier of a partner price list.
Request sample
<?php
require ('PATH_TO_AUTH'); // Authentication example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/JSON-RPC/02Authentication
require ('PATH_TO_SET_PARTNER'); // setPartner example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/JSON-RPC/06Reference/Partner/00Set_partner
$productId = 'YOUR_PRODUCT_ID';
$pricingListCode = 'YOUR_PRICING_LIST_CODE';
$jsonRpcRequest = array (
'jsonrpc' => '2.0',
'id' => $i++,
'method' => 'getProductById',
'params' => array($sessionID, $productId, $pricingListCode)
);
var_dump (callRPC((Object)$jsonRpcRequest, $host));Response parameters
ProductInfo
Complex object
Complex object containing arrays of SimpleProduct and PriceOptions objects.
Errors
INVALID_PARTNER
No partner is set.
INVALID_PRODUCT
Please provide a valid product ID.
INVALID_PRICING_LIST_CODE
Please provide a valid pricing list code.
PARTNER_PRICING_LISTS_NOT_FOUND
There are no pricing lists with provided code.
PRODUCT_NOT_FOUND
There is no product with this id in the given pricing list.
Last updated
Was this helpful?